package com.loafle.overflow.central.module.sensor.dao;

import static org.junit.Assert.assertNotNull;

import java.util.List;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.model.meta.MetaSensorItemKey;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 9. 14.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = { AppConfigTest.class })
public class SensorItemDependencyDAOTest {

  @Autowired
  private SensorItemDependencyDAO sensorItemDependencyDAO;

  @Test
  public void findAllMetaSensorItemKeyByMetaSensorDisplayItemId() throws Exception {

    List<MetaSensorItemKey> metaSensorItemKeys = this.sensorItemDependencyDAO
        .findAllMetaSensorItemKeyByMetaSensorDisplayItemId(Long.valueOf(1));

    assertNotNull(metaSensorItemKeys);
  }

}
